=== debian/changelog ===
taskcoach (1.3.31-1) unstable; urgency=low

  * New upstream release. Rebuild Closes: #719204.
  * control: Suggest python-kde4. Less strict dependencies:
    python >= 2.7 -> 2.6,  libavahi-compat-libdnssdl Depends -> Recommends.
  * copyright: dates, comments.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 09 Aug 2013 17:35:26 +0200

taskcoach (1.3.29-1) unstable; urgency=low

  * Initial release (Closes: #509768).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 Jan 2013 20:01:56 +0100
