=== debian/control ===
Source: taskcoach
Section: utils
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9),
 python (>= 2.6),
# python-wxgtk2.8 (>= 2.8.9.2-unicode) should be sufficient, but
# patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
 python-wxgtk2.8 (>= 2.8.12.1-13),
# See debian/taskcoach.linktrees:
 dh-linktree,
 python-chardet,
 python-keyring,
 python-lockfile,
 python-pyparsing,
 python-dateutil,
 python-squaremap,
 python-xdg,
# See debian/rules:
 graphicsmagick
Standards-Version: 3.9.4
Homepage: http://www.taskcoach.org
X-Python-Version: >= 2.7
VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git

Package: taskcoach
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
# See buildlib/bdist_deb.py:
 python-wxversion (>= 2.8.9.2-unicode),
 libxss1,
 fonts-dejavu
Recommends: python-notify, libgnome2-0, libavahi-compat-libdnssd1
Suggests: espeak, python-kde4
Description: friendly task manager
 Task Coach is a friendly open source todo manager to manage personal
 tasks and todo lists. It supports composite tasks, i.e. tasks within
 tasks. In addition, Task Coach allows you to categorize your tasks,
 track effort against a budget per task, and much more. Task Coach is
 available for Windows, Mac OS X, BSD, Linux, iPhone and iPad.
 .
 Your database may be synchronized across these platforms. If espeak
 is installed, reminders can be spoken.
