## taskcoach 1.3.32

=== debian/changelog ===
taskcoach (1.3.32-1) unstable; urgency=low

  * New upstream release.
  * Replace dh_linktree with a patch importing packaged python modules, when
    possible. Depends are less strict about versions. Closes: #721851.
    Links are kept for pubsub and apscheduler.
  * control: adapt X-Python-Version to Build-Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 07 Sep 2013 14:17:52 +0200
