=== debian/control ===
--- 
+++ 
@@ -3,31 +3,34 @@
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: debhelper (>= 9),
- python (>= 2.6),
-# python-wxgtk2.8 (>= 2.8.9.2-unicode) should be sufficient, but
+# This should be repeated as X-Python-Version below.
+# 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
+ python (>= 2.6.6-3~),
 # patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
  python-wxgtk2.8 (>= 2.8.12.1-13),
-# See debian/taskcoach.linktrees:
+# See debian/copyright:
  dh-linktree,
- python-chardet,
- python-keyring,
- python-lockfile,
- python-pyparsing,
- python-dateutil,
- python-squaremap,
- python-xdg,
+ python-apscheduler (>= 2.0.3),
 # See debian/rules:
  graphicsmagick
 Standards-Version: 3.9.4
 Homepage: http://www.taskcoach.org
-X-Python-Version: >= 2.7
+X-Python-Version: >= 2.6
 VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git
 
 Package: taskcoach
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
+# See debian/copyright
+ python-chardet (>= 2.0.1),
+ python-dateutil (>= 1.5),
+ python-keyring (>= 0.9.2),
+ python-pyparsing (>= 1.5.5),
+ python-squaremap (>= 1.0.2),
+ python-xdg (>= 0.25),
 # See buildlib/bdist_deb.py:
+ python-wxgtk2.8 (>= 2.8.9.2-unicode),
  python-wxversion (>= 2.8.9.2-unicode),
  libxss1,
  fonts-dejavu
