=== debian/changelog ===
taskcoach (1.3.33-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.5 without changes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 06 Nov 2013 02:07:58 +0100

taskcoach (1.3.32-2) unstable; urgency=low

  * patches/replace_thirdparty..: absolute import instead of hard-coded path.
    Correct import of combotreebox in entry.py.
    Bug reported upstream at http://sourceforge.net/p/taskcoach/bugs/1462/.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Oct 2013 15:27:58 +0200
