=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python-apscheduler (>= 2.0.3),
 # See debian/rules:
  graphicsmagick
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.taskcoach.org
 X-Python-Version: >= 2.6
 VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
