=== debian/rules ===
--- 
+++ 
@@ -23,29 +23,19 @@
 # Files extracted from thirdparty tarballs by "make prepare" should be
 # deleted with "make nuke", but upstream implementation uses the local
 # subversion repository so we have to do an ugly explicit list.
-# Note that thirdparty libraries may also affect
-# debian/control:Build-Depends, debian/taskcoach.linktrees and
-# debian/copyright.
+# Information about thirdparty is centralized in debian/copyright.
 override_dh_auto_clean::
-	rm -f    taskcoachlib/persistence/xml/templates.py
 	rm -f -r taskcoachlib/thirdparty/apscheduler
-	rm -f -r taskcoachlib/thirdparty/aui
-	rm -f -r taskcoachlib/thirdparty/chardet
 	rm -f    taskcoachlib/thirdparty/customtreectrl.py
-	rm -f -r taskcoachlib/thirdparty/dateutil
 	rm -f -r taskcoachlib/thirdparty/desktop
 	rm -f -r taskcoachlib/thirdparty/gntp
 	rm -f    taskcoachlib/thirdparty/hypertreelist.py
-	rm -f -r taskcoachlib/thirdparty/keyring
 	rm -f    taskcoachlib/thirdparty/lockfile.py
 	rm -f -r taskcoachlib/thirdparty/ntlm
 	rm -f -r taskcoachlib/thirdparty/pubsub
 	rm -f    taskcoachlib/thirdparty/pybonjour.py
-	rm -f    taskcoachlib/thirdparty/pyparsing.py
-	rm -f -r taskcoachlib/thirdparty/squaremap
 	rm -f    taskcoachlib/thirdparty/wmi.py
 	rm -f -r taskcoachlib/thirdparty/wxScheduler
-	rm -f -r taskcoachlib/thirdparty/xdg
 
 # Generated file, removed by dfsg_cleaner. See there for details.
 override_dh_auto_clean::
