=== debian/changelog ===
taskcoach (1.3.34-1) unstable; urgency=low

  * New upstream release.
  * copyright, dfsg_cleaner: update format URL, gather documentation.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 01 Dec 2013 10:56:31 +0100
