=== debian/changelog ===
taskcoach (1.3.36-1ubuntu3) trusty; urgency=medium

  * Let the autopkg test depend on language-pack-en too.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 10:29:48 +0200

taskcoach (1.3.36-1ubuntu1) trusty; urgency=medium

  * Build-depend on language-pack-en.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Apr 2014 08:40:50 +0100

taskcoach (1.3.36-1) unstable; urgency=medium

  * New upstream release. Closes: #738435.
    No need for apscheduler/dh_linktree anymore.
  * Run all upstream unit tests.
    patches/disable_loadtest.diff: removes a crashing integration test.
  * Compress DFSG tarball with xz instead of bz2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Mar 2014 14:00:53 +0100

taskcoach (1.3.35-1) unstable; urgency=medium

  * New upstream release. Rebuild closes: #737604.
  * Exclude unused thirdparties from repackaged upstream.
  * Run upstream integration tests, both in rules and tests/control.
    Many Build-Depends added by the tests.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Feb 2014 22:18:31 +0100
