=== debian/control ===
--- 
+++ 
@@ -2,22 +2,32 @@
 Section: utils
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends-Indep: debhelper (>= 9),
 # This should be repeated as X-Python-Version below.
 # 2.6.6-3~: https://wiki.debian.org/Python/TransitionToDHPython2
  python (>= 2.6.6-3~),
 # patches/official_img2py.diff triggers #698198 patched by 2.8.12.1-13
  python-wxgtk2.8 (>= 2.8.12.1-13),
-# See debian/copyright:
- dh-linktree,
- python-apscheduler (>= 2.0.3),
 # See debian/rules:
- graphicsmagick
+ graphicsmagick,
+# Unit tests have the same dependencies than the installed package.
+ python-chardet (>= 2.0.1),
+ python-dateutil (>= 1.5),
+ python-keyring (>= 0.9.2),
+ python-pyparsing (>= 1.5.5),
+ python-squaremap (>= 1.0.2),
+ python-xdg (>= 0.25),
+ python-wxversion (>= 2.8.9.2-unicode),
+ libxss1,
+ fonts-dejavu,
+# See tests/control.
+ hicolor-icon-theme, language-pack-en | locales-all, x11-utils, xauth, xvfb
 Standards-Version: 3.9.5
 Homepage: http://www.taskcoach.org
 X-Python-Version: >= 2.6
 VCS-Git: git://anonscm.debian.org/collab-maint/taskcoach.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/taskcoach.git
+XS-Testsuite: autopkgtest
 
 Package: taskcoach
 Architecture: all
