=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,11 @@
 
 # export DH_VERBOSE := 1
 
-build build-arch build-indep binary binary-arch binary-indep clean:
-	dh $@ --with python2 --with linktree
+POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
+ build-indep clean
+.PHONY: $(POLICY_TARGETS)
+$(POLICY_TARGETS):
+	dh $@ --with python2
 
 # Tell each dh_auto_* tool which buildsystem is needed.
 override_dh_auto_clean:: override_%:
@@ -13,6 +16,12 @@
 	$* --buildsystem=python_distutils
 override_dh_auto_install:: override_%:
 	$* --buildsystem=python_distutils
+
+override_dh_auto_test:
+	rm -fr tests_tmp
+	ADTTMP=. sh debian/tests/unittests
+override_dh_auto_clean::
+	rm -rf tests_tmp
 
 # Translate upstream changelog to text for dh_installchangelogs.
 # Upstream "make clean" will remove it.
@@ -25,7 +34,6 @@
 # subversion repository so we have to do an ugly explicit list.
 # Information about thirdparty is centralized in debian/copyright.
 override_dh_auto_clean::
-	rm -f -r taskcoachlib/thirdparty/apscheduler
 	rm -f    taskcoachlib/thirdparty/customtreectrl.py
 	rm -f -r taskcoachlib/thirdparty/desktop
 	rm -f -r taskcoachlib/thirdparty/gntp
