=== debian/tests/control ===
Tests: unittests
Depends: @,
# avoids a gtk-warning on stderr
 hicolor-icon-theme,
# Some tests need en_US.utf8.
 language-pack-en | locales-all,
# xprop
 x11-utils,
# xauth
 xauth,
# xvfb-run (needs xauth, read /usr/bin/xvfb-run)
 xvfb
